| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdcolor.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_color_deconverter

## Macros
#define | JPEG_INTERNALS
#define | SCALEBITS 16 /* speediest right-shift on some machines */
#define | ONE_HALF ((INT32) 1 << (SCALEBITS-1))
#define | FIX(x) ((INT32) ((x) * (1L<<SCALEBITS) + 0.5))

## Typedefs
typedef my_color_deconverter * | my_cconvert_ptr

## Functions
| build_ycc_rgb_table (j_decompress_ptr cinfo)
| ycc_rgb_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| null_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| grayscale_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| gray_rgb_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| ycck_cmyk_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| start_pass_dcolor (j_decompress_ptr cinfo)
| jinit_color_deconverter (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define FIX | ( |  | x | ) | ((INT32) ((x) * (1L<<SCALEBITS) + 0.5))

Definition at line 62 of file jdcolor.c.

#define JPEG_INTERNALS

Definition at line 11 of file jdcolor.c.

#define ONE_HALF ((INT32) 1 << (SCALEBITS-1))

Definition at line 61 of file jdcolor.c.

#define SCALEBITS 16 /* speediest right-shift on some machines */

Definition at line 60 of file jdcolor.c.

## Typedef Documentation

typedef my_color_deconverter* my_cconvert_ptr

Definition at line 28 of file jdcolor.c.

## Function Documentation

build_ycc_rgb_table | ( | j_decompress_ptr | cinfo | ) |

Definition at line 70 of file jdcolor.c.

gray_rgb_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 217 of file jdcolor.c.

grayscale_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 201 of file jdcolor.c.

jinit_color_deconverter | ( | j_decompress_ptr | cinfo | ) |

Definition at line 304 of file jdcolor.c.

null_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 169 of file jdcolor.c.

start_pass_dcolor | ( | j_decompress_ptr | cinfo | ) |

Definition at line 293 of file jdcolor.c.

ycc_rgb_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 120 of file jdcolor.c.

ycck_cmyk_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows
| ) |  |

Definition at line 245 of file jdcolor.c.